Server Client
Get a single OauthServerClient
GET/api/opendata/oauth/server_clients/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Get a single OauthServerClientOauthServerClient
Show fields (5)
identifierstringIdentifier of the OAuth client.
namestringName of the OAuth client.
scopesstringComma-separated list of scopes the client may request.
redirect_uristringAllowed redirect URI.
image_urlstringURL of the image of the entity.
curl --request GET \
--url https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/oauth_server_client_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await OauthServerClientController.get('42');
if (result.success) {
print(result.data);
}{
"name": "Beispiel",
"image_url": "https://vynst.de",
"identifier": "42",
"scopes": "string",
"redirect_uri": "string"
}Updates a single OauthServerClient
PUT/api/opendata/oauth/server_clients/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataOauthServerClient2Show fields (6)
namestringName of the OAuth client.
scopesstringComma-separated list of scopes the client may request.
redirect_uristringAllowed redirect URI.
activebooleanWhether the client is active.
allow_plain_text_pkcebooleanWhether PKCE with the plain challenge method is allowed.
confidentialbooleanWhether the client is confidential, i.e. it can keep its secret.
Responses
200Updates a single OauthServerClientOauthServerClient
Show fields (5)
identifierstringIdentifier of the OAuth client.
namestringName of the OAuth client.
scopesstringComma-separated list of scopes the client may request.
redirect_uristringAllowed redirect URI.
image_urlstringURL of the image of the entity.
curl --request PUT \
--url https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"name": "Beispiel",
"scopes": "string",
"redirect_uri": "string",
"active": true,
"allow_plain_text_pkce": true,
"confidential": true
}
}
'const options = {
method: 'PUT',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
name: 'Beispiel',
scopes: 'string',
redirect_uri: 'string',
active: true,
allow_plain_text_pkce: true,
confidential: true
}
})
};
fetch('https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42"
payload = { "data": {
"name": "Beispiel",
"scopes": "string",
"redirect_uri": "string",
"active": True,
"allow_plain_text_pkce": True,
"confidential": True
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42', [
'body' => '{"data":{"name":"Beispiel","scopes":"string","redirect_uri":"string","active":true,"allow_plain_text_pkce":true,"confidential":true}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"name\":\"Beispiel\",\"scopes\":\"string\",\"redirect_uri\":\"string\",\"active\":true,\"allow_plain_text_pkce\":true,\"confidential\":true}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"name\":\"Beispiel\",\"scopes\":\"string\",\"redirect_uri\":\"string\",\"active\":true,\"allow_plain_text_pkce\":true,\"confidential\":true}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42")
.put(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42"
payload := strings.NewReader("{\"data\":{\"name\":\"Beispiel\",\"scopes\":\"string\",\"redirect_uri\":\"string\",\"active\":true,\"allow_plain_text_pkce\":true,\"confidential\":true}}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/oauth_server_client_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/oauth_server_client.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await OauthServerClientController.put(OauthServerClient.fromJson({
"name": "Beispiel",
"scopes": "string",
"redirect_uri": "string",
"active": true,
"allow_plain_text_pkce": true,
"confidential": true
}));
if (result.success) {
print(result.data);
}{
"name": "Beispiel",
"image_url": "https://vynst.de",
"identifier": "42",
"scopes": "string",
"redirect_uri": "string"
}Updates a single OauthServerClient
PATCH/api/opendata/oauth/server_clients/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataOauthServerClient2Show fields (6)
namestringName of the OAuth client.
scopesstringComma-separated list of scopes the client may request.
redirect_uristringAllowed redirect URI.
activebooleanWhether the client is active.
allow_plain_text_pkcebooleanWhether PKCE with the plain challenge method is allowed.
confidentialbooleanWhether the client is confidential, i.e. it can keep its secret.
Responses
200Updates a single OauthServerClientOauthServerClient
Show fields (5)
identifierstringIdentifier of the OAuth client.
namestringName of the OAuth client.
scopesstringComma-separated list of scopes the client may request.
redirect_uristringAllowed redirect URI.
image_urlstringURL of the image of the entity.
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"name": "Beispiel",
"scopes": "string",
"redirect_uri": "string",
"active": true,
"allow_plain_text_pkce": true,
"confidential": true
}
}
'const options = {
method: 'PATCH',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
name: 'Beispiel',
scopes: 'string',
redirect_uri: 'string',
active: true,
allow_plain_text_pkce: true,
confidential: true
}
})
};
fetch('https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42"
payload = { "data": {
"name": "Beispiel",
"scopes": "string",
"redirect_uri": "string",
"active": True,
"allow_plain_text_pkce": True,
"confidential": True
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42', [
'body' => '{"data":{"name":"Beispiel","scopes":"string","redirect_uri":"string","active":true,"allow_plain_text_pkce":true,"confidential":true}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"name\":\"Beispiel\",\"scopes\":\"string\",\"redirect_uri\":\"string\",\"active\":true,\"allow_plain_text_pkce\":true,\"confidential\":true}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"name\":\"Beispiel\",\"scopes\":\"string\",\"redirect_uri\":\"string\",\"active\":true,\"allow_plain_text_pkce\":true,\"confidential\":true}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42")
.patch(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42"
payload := strings.NewReader("{\"data\":{\"name\":\"Beispiel\",\"scopes\":\"string\",\"redirect_uri\":\"string\",\"active\":true,\"allow_plain_text_pkce\":true,\"confidential\":true}}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42'),
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: jsonEncode({
"data": {
"name": "Beispiel",
"scopes": "string",
"redirect_uri": "string",
"active": true,
"allow_plain_text_pkce": true,
"confidential": true
}
}),
);
print(response.body);{
"name": "Beispiel",
"image_url": "https://vynst.de",
"identifier": "42",
"scopes": "string",
"redirect_uri": "string"
}Creates a single OauthServerClient
POST/api/opendata/oauth/server_clients
Request body application/json
dataOauthServerClient2Show fields (6)
namestringName of the OAuth client.
scopesstringComma-separated list of scopes the client may request.
redirect_uristringAllowed redirect URI.
activebooleanWhether the client is active.
allow_plain_text_pkcebooleanWhether PKCE with the plain challenge method is allowed.
confidentialbooleanWhether the client is confidential, i.e. it can keep its secret.
Responses
200Creates a single OauthServerClientOauthServerClient
Show fields (5)
identifierstringIdentifier of the OAuth client.
namestringName of the OAuth client.
scopesstringComma-separated list of scopes the client may request.
redirect_uristringAllowed redirect URI.
image_urlstringURL of the image of the entity.
curl --request POST \
--url https://your-instance.iw-erp.de/api/opendata/oauth/server_clients \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"name": "Beispiel",
"scopes": "string",
"redirect_uri": "string",
"active": true,
"allow_plain_text_pkce": true,
"confidential": true
}
}
'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
name: 'Beispiel',
scopes: 'string',
redirect_uri: 'string',
active: true,
allow_plain_text_pkce: true,
confidential: true
}
})
};
fetch('https://your-instance.iw-erp.de/api/opendata/oauth/server_clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/opendata/oauth/server_clients"
payload = { "data": {
"name": "Beispiel",
"scopes": "string",
"redirect_uri": "string",
"active": True,
"allow_plain_text_pkce": True,
"confidential": True
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/opendata/oauth/server_clients', [
'body' => '{"data":{"name":"Beispiel","scopes":"string","redirect_uri":"string","active":true,"allow_plain_text_pkce":true,"confidential":true}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/opendata/oauth/server_clients"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"name\":\"Beispiel\",\"scopes\":\"string\",\"redirect_uri\":\"string\",\"active\":true,\"allow_plain_text_pkce\":true,\"confidential\":true}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"name\":\"Beispiel\",\"scopes\":\"string\",\"redirect_uri\":\"string\",\"active\":true,\"allow_plain_text_pkce\":true,\"confidential\":true}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/opendata/oauth/server_clients")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/opendata/oauth/server_clients"
payload := strings.NewReader("{\"data\":{\"name\":\"Beispiel\",\"scopes\":\"string\",\"redirect_uri\":\"string\",\"active\":true,\"allow_plain_text_pkce\":true,\"confidential\":true}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/oauth_server_client_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/oauth_server_client.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await OauthServerClientController.post(OauthServerClient.fromJson({
"name": "Beispiel",
"scopes": "string",
"redirect_uri": "string",
"active": true,
"allow_plain_text_pkce": true,
"confidential": true
}));
if (result.success) {
print(result.data);
}{
"name": "Beispiel",
"image_url": "https://vynst.de",
"identifier": "42",
"scopes": "string",
"redirect_uri": "string"
}